#### Previous topic

scipy.io.netcdf_variable.typecode

#### Next topic

scipy.io.hb_write

# scipy.io.hb_read

`scipy.io.``hb_read`(file)

  Read HB-format file.

  Parameters:

  file : str-like or file-like

  > If a string-like object, file is the name of the file to read. If a file-like object, the data are read from it.

  Returns:

  data : scipy.sparse.csc_matrix instance

  > The data read from the HB file as a sparse matrix.

  Notes

  At the moment not the full Harwell-Boeing format is supported. Supported features are:

  > - assembled, non-symmetric, real matrices
  > - integer for pointer/indices
  > - exponential format for float values, and int format